Permalink
Browse files

version 2.1.7

  • Loading branch information...
1 parent a0d8ec9 commit 0540aa9c1227ee464d720460bda67f5e4f4cdc17 @adzap committed Jan 18, 2010
Showing with 21 additions and 4 deletions.
  1. +8 −0 History.txt
  2. +3 −0 Rakefile
  3. +9 −3 adzap-ar_mailer.gemspec
  4. +1 −1 lib/action_mailer/ar_sendmail.rb
View
@@ -1,3 +1,11 @@
+= 2.1.7
+
+* Miscellaneous Updates
+ * Added adzap-ar_mailer file to end the need for the config.gem :lib option
+
+* Bugs fixed
+ * Fix from address being set as address header object.
+
= 2.1.6
* Miscellaneous Updates
View
@@ -26,6 +26,7 @@ ar_mailer_gemspec = Gem::Specification.new do |s|
"generators/ar_mailer/ar_mailer_generator.rb",
"generators/ar_mailer/templates/migration.rb",
"generators/ar_mailer/templates/model.rb",
+ "lib/adzap-ar_mailer.rb",
"lib/action_mailer/ar_mailer.rb",
"lib/action_mailer/ar_sendmail.rb",
"lib/smtp_tls.rb",
@@ -44,6 +45,8 @@ ar_mailer_gemspec = Gem::Specification.new do |s|
s.rubyforge_project = %q{seattlerb}
s.summary = %q{A two-phase delivery agent for ActionMailer}
s.test_files = ["test/test_armailer.rb", "test/test_arsendmail.rb"]
+ s.add_development_dependency "minitest", ">= 1.5.0"
+ s.add_development_dependency "mocha", ">= 0.9.8"
end
Rake::GemPackageTask.new(ar_mailer_gemspec) do |pkg|
@@ -2,17 +2,17 @@
Gem::Specification.new do |s|
s.name = %q{adzap-ar_mailer}
- s.version = "2.1.6"
+ s.version = "2.1.7"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Eric Hodel", "Adam Meehan"]
- s.date = %q{2010-01-16}
+ s.date = %q{2010-01-19}
s.default_executable = %q{ar_sendmail}
s.description = %q{Even delivering email to the local machine may take too long when you have to send hundreds of messages. ar_mailer allows you to store messages into the database for later delivery by a separate process, ar_sendmail.}
s.email = %q{adam.meehan@gmail.com}
s.executables = ["ar_sendmail"]
s.extra_rdoc_files = ["History.txt", "LICENSE.txt", "README.rdoc"]
- s.files = ["History.txt", "LICENSE.txt", "README.rdoc", "Rakefile", "bin/ar_sendmail", "generators/ar_mailer/ar_mailer_generator.rb", "generators/ar_mailer/templates/migration.rb", "generators/ar_mailer/templates/model.rb", "lib/action_mailer/ar_mailer.rb", "lib/action_mailer/ar_sendmail.rb", "lib/smtp_tls.rb", "share/bsd/ar_sendmail", "share/linux/ar_sendmail", "share/linux/ar_sendmail.conf", "test/resources/action_mailer.rb", "test/test_armailer.rb", "test/test_arsendmail.rb", "test/test_helper.rb"]
+ s.files = ["History.txt", "LICENSE.txt", "README.rdoc", "Rakefile", "bin/ar_sendmail", "generators/ar_mailer/ar_mailer_generator.rb", "generators/ar_mailer/templates/migration.rb", "generators/ar_mailer/templates/model.rb", "lib/adzap-ar_mailer.rb", "lib/action_mailer/ar_mailer.rb", "lib/action_mailer/ar_sendmail.rb", "lib/smtp_tls.rb", "share/bsd/ar_sendmail", "share/linux/ar_sendmail", "share/linux/ar_sendmail.conf", "test/resources/action_mailer.rb", "test/test_armailer.rb", "test/test_arsendmail.rb", "test/test_helper.rb"]
s.homepage = %q{http://github.com/adzap/ar_mailer}
s.rdoc_options = ["--main", "README.rdoc"]
s.require_paths = ["lib"]
@@ -26,8 +26,14 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ s.add_development_dependency(%q<minitest>, [">= 1.5.0"])
+ s.add_development_dependency(%q<mocha>, [">= 0.9.8"])
else
+ s.add_dependency(%q<minitest>, [">= 1.5.0"])
+ s.add_dependency(%q<mocha>, [">= 0.9.8"])
end
else
+ s.add_dependency(%q<minitest>, [">= 1.5.0"])
+ s.add_dependency(%q<mocha>, [">= 0.9.8"])
end
end
@@ -42,7 +42,7 @@ class ActionMailer::ARSendmail
##
# The version of ActionMailer::ARSendmail you are running.
- VERSION = '2.1.6'
+ VERSION = '2.1.7'
##
# Maximum number of times authentication will be consecutively retried

0 comments on commit 0540aa9

Please sign in to comment.